mri_inh_3d_plan Struct Reference
MRI - Transforms in magnetic resonance imaging
Collaboration diagram for mri_inh_3d_plan:
[legend]

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients.
NFFT_INT | M_total
| Total number of samples.
fftw_complex * | f_hat
| Fourier coefficients.
fftw_complex * | f
| Samples.
void(* | mv_trafo )(void *)
| Transform.
void(* | mv_adjoint )(void *)
| Adjoint transform.
nfft_plan | plan
int | N3
double | sigma3
double * | t
double * | w

## Detailed Description

The structure for the transform plan.

Definition at line 526 of file nfft3.h.

## Field Documentation

## N_total

NFFT_INT mri_inh_3d_plan::N_total

Total number of Fourier coefficients.

Definition at line 526 of file nfft3.h.

Referenced by mri_inh_3d_adjoint(), and mri_inh_3d_trafo().

## M_total

NFFT_INT mri_inh_3d_plan::M_total

Total number of samples.

Definition at line 526 of file nfft3.h.

Referenced by construct(), mri_inh_3d_adjoint(), and mri_inh_3d_trafo().

## f_hat

fftw_complex* mri_inh_3d_plan::f_hat

Fourier coefficients.

Definition at line 526 of file nfft3.h.

Referenced by construct(), mri_inh_3d_adjoint(), mri_inh_3d_finalize(), and mri_inh_3d_trafo().

## f

fftw_complex* mri_inh_3d_plan::f

Samples.

Definition at line 526 of file nfft3.h.

Referenced by construct(), mri_inh_3d_adjoint(), and mri_inh_3d_trafo().

## mv_trafo

void(* mri_inh_3d_plan::mv_trafo) (void *)

Transform.

Definition at line 526 of file nfft3.h.

## mv_adjoint

void(* mri_inh_3d_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 526 of file nfft3.h.

## plan

nfft_plan mri_inh_3d_plan::plan

Definition at line 526 of file nfft3.h.

## N3

int mri_inh_3d_plan::N3

Definition at line 526 of file nfft3.h.

## sigma3

double mri_inh_3d_plan::sigma3

Definition at line 526 of file nfft3.h.

## t

double* mri_inh_3d_plan::t

Definition at line 526 of file nfft3.h.

## w

double* mri_inh_3d_plan::w

Definition at line 526 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h